Bug 567052 - Review Request: cocot - COde COnverter on Tty
Summary: Review Request: cocot - COde COnverter on Tty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 09:30 UTC by Daiki Ueno
Modified: 2010-03-23 02:25 UTC (History)
3 users (show)

Fixed In Version: cocot-20080315-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 15:49:32 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2010-02-21 09:30:31 UTC
Spec URL: http://www.unixuser.org/~ueno/software/fedora/cocot/cocot.spec
SRPM URL: http://www.unixuser.org/~ueno/software/fedora/cocot/cocot-20080315-1.fc12.src.rpm
Description:
Cocot is a kanji code conversion program, running as a filter between
a terminal (tty) and a process running on it.  Cocot can be used with
ssh or telnet.

Comment 1 Mamoru TASAKA 2010-02-21 16:42:51 UTC
Some notes:

* Introducing Epoch
  - Introducing Epoch should be a last resort and should
    not be done unless unavoidable.
    This is a new package for Fedora and I don't see any
    reason for this.
    https://fedoraproject.org/wiki/Packaging/Guidelines#Use_of_Epochs

* Using %makeinstall
  - Should be avoided if possible, otherwise write some comments
    on the spec file about this:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

* Documents
  - Please change "README.ja" to UTF-8.

Comment 2 Daiki Ueno 2010-02-24 10:23:07 UTC
Thanks for the review.  I've just fixed the spec and put the SRPM:
http://www.unixuser.org/~ueno/software/fedora/cocot/cocot-20080315-2.fc12.src.rpm

Comment 3 Mamoru TASAKA 2010-02-24 20:22:16 UTC
Please move "iconv ... " line and the next line to %prep
so that "$ rpmbuild -bc --short-circuit" succeeds for multiple
times.

------------------------------------------------------------
   This package (cocot) is APPROVED by mtasaka
------------------------------------------------------------

Comment 4 Mamoru TASAKA 2010-03-01 18:45:41 UTC
Please write CVS admin request also on this bug.

Comment 5 Daiki Ueno 2010-03-02 00:52:28 UTC
New Package CVS Request
=======================
Package Name: cocot
Short Description: COde COnverter on Tty
Owners: ueno
Branches: F-13 F-12 F-11

Comment 6 Jason Tibbitts 2010-03-02 02:14:46 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-03-02 03:34:21 UTC
cocot-20080315-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cocot-20080315-3.fc13

Comment 8 Fedora Update System 2010-03-02 03:35:51 UTC
cocot-20080315-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cocot-20080315-3.fc12

Comment 9 Fedora Update System 2010-03-02 03:37:24 UTC
cocot-20080315-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cocot-20080315-3.fc11

Comment 10 Mamoru TASAKA 2010-03-02 15:49:32 UTC
Please also rebuild for F-14 (devel). Closing.

Comment 11 Fedora Update System 2010-03-23 01:57:21 UTC
cocot-20080315-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-23 02:01:00 UTC
cocot-20080315-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-23 02:25:00 UTC
cocot-20080315-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.